Summary:	System and Service Manager UI for systemd
Name:		systemd-ui
Version:	3
Release:	%mkrel 6
License:	GPLv2+
Group:		System/Boot and Init
URL:		http://www.freedesktop.org/wiki/Software/systemd
Source0:	http://www.freedesktop.org/software/systemd/systemd-ui-%{version}.tar.xz
Patch0:		systemd-ui-3-Notification.patch
BuildRequires:	autoconf 
BuildRequires:  automake 
BuildRequires:  m4 
BuildRequires:  libtool
BuildRequires:	pkgconfig(dbus-1) >= 1.3.2
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) > 2.26
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	vala >= 0.11
BuildRequires:	xsltproc

Requires:       polkit
Requires:       systemd

Obsoletes:      systemd-gtk < 45
Provides:       systemd-gtk = %version-%release
Provides:       systemadm = %version-%release

%description
Graphical front-end for systemd

It contains : 
	* systemadm is a graphical frontend for the systemd system and service manager
          and allows introspection and control of systemd

%files
%{_bindir}/systemadm
%{_bindir}/systemd-gnome-ask-password-agent
%{_mandir}/man1/systemadm.*
%{_datadir}/applications/systemadm.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n systemd-ui-%{version}
%autopatch -p1

%build
%configure
%make

%install
%make_install

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/systemadm.desktop <<EOF
[Desktop Entry]
Name=Graphical front-end for systemd
Comment=Modify systemd configuration
Exec=systemadm
Terminal=false
Type=Application
Icon=development_tools_section
Categories=GTK;Settings;System;X-Mageia-CrossDesktop;
EOF


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 3-6.mga8
+ Revision: 1517352
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 3-5.mga7
+ Revision: 1301295
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 3-4.mga6
+ Revision: 934568
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3-3.mga5
+ Revision: 745773
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3-2.mga5
+ Revision: 689667
- Mageia 5 Mass Rebuild
+ fwang <fwang>
- Fix ambiguity between `GLib.Notification' and `Notify.Notification'

* Thu Aug 28 2014 fwang <fwang> 3-1.mga5
+ Revision: 668935
- bump req
- 3

* Sat Oct 19 2013 umeabot <umeabot> 2-2.mga4
+ Revision: 531470
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 tmb <tmb> 2-1.mga4
+ Revision: 463603
- update to v2

* Wed Jan 23 2013 fwang <fwang> 1-4.mga3
+ Revision: 391182
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1-3.mga3
+ Revision: 383984
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 22 2012 dmorgan <dmorgan> 1-2.mga2
+ Revision: 225725
- Add a requires into systemd

* Thu Mar 22 2012 dmorgan <dmorgan> 1-1.mga2
+ Revision: 225703
- imported package systemd-ui

